<?php
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

declare(strict_types=1);

namespace WriteTextAI\WriteTextAI\Api\Data;

interface ProductKeywordCompetitorFiltersInterface
{
    public const SEARCH_VOLUME_MAXIMUM = 'search_volume_maximum';

    public const SEARCH_VOLUME_MINIMUM = 'search_volume_minimum';

    public const PRODUCTKEYWORDCOMPETITORFILTERS_ID = 'id';

    public const STORE_ID = 'store_id';

    public const COMPETITION_SORT = 'competition_sort';

    public const PRODUCT_ID = 'product_id';

    public const VOLUME_SORT = 'volume_sort';

    public const COMPETITION = 'competition';

    public const RANK_SORT = 'rank_sort';

    public const INTENT_SORT = 'intent_sort';

    /**
     * Get productkeywordcompetitorfilters_id
     *
     * @return string|null
     */
    public function getProductkeywordcompetitorfiltersId();

    /**
     * Set productkeywordcompetitorfilters_id
     *
     * @param string $productkeywordcompetitorfiltersId
     * @return \WriteTextAI\WriteTextAI\ProductKeywordCompetitorFilters\Api\Data\ProductKeywordCompetitorFiltersInterface
     */
    public function setProductkeywordcompetitorfiltersId($productkeywordcompetitorfiltersId);

    /**
     * Get product_id
     *
     * @return string|null
     */
    public function getProductId();

    /**
     * Set product_id
     *
     * @param string $productId
     * @return \WriteTextAI\WriteTextAI\ProductKeywordCompetitorFilters\Api\Data\ProductKeywordCompetitorFiltersInterface
     */
    public function setProductId($productId);

    /**
     * Get store_id
     *
     * @return string|null
     */
    public function getStoreId();

    /**
     * Set store_id
     *
     * @param string $storeId
     * @return \WriteTextAI\WriteTextAI\ProductKeywordCompetitorFilters\Api\Data\ProductKeywordCompetitorFiltersInterface
     */
    public function setStoreId($storeId);

    /**
     * Get competition
     *
     * @return string|null
     */
    public function getCompetition();

    /**
     * Set competition
     *
     * @param string $competition
     * @return \WriteTextAI\WriteTextAI\ProductKeywordCompetitorFilters\Api\Data\ProductKeywordCompetitorFiltersInterface
     */
    public function setCompetition($competition);

    /**
     * Get search_volume_minimum
     *
     * @return int|null
     */
    public function getSearchVolumeMinimum();

    /**
     * Set search_volume_minimum
     *
     * @param int $searchVolumeMinimum
     * @return \WriteTextAI\WriteTextAI\ProductKeywordCompetitorFilters\Api\Data\ProductKeywordCompetitorFiltersInterface
     */
    public function setSearchVolumeMinimum($searchVolumeMinimum);

    /**
     * Get search_volume_maximum
     *
     * @return int|null
     */
    public function getSearchVolumeMaximum();

    /**
     * Set search_volume_maximum
     *
     * @param int $searchVolumeMaximum
     * @return \WriteTextAI\WriteTextAI\ProductKeywordCompetitorFilters\Api\Data\ProductKeywordCompetitorFiltersInterface
     */
    public function setSearchVolumeMaximum($searchVolumeMaximum);

    /**
     * Get competition_sort
     *
     * @return string|null
     */
    public function getCompetitionSort();

    /**
     * Set competition_sort
     *
     * @param string $competitionSort
     * @return \WriteTextAI\WriteTextAI\ProductKeywordCompetitorFilters\Api\Data\ProductKeywordCompetitorFiltersInterface
     */
    public function setCompetitionSort($competitionSort);

    /**
     * Get volume_sort
     *
     * @return string|null
     */
    public function getVolumeSort();

    /**
     * Set volume_sort
     *
     * @param string $volumeSort
     * @return \WriteTextAI\WriteTextAI\ProductKeywordCompetitorFilters\Api\Data\ProductKeywordCompetitorFiltersInterface
     */
    public function setVolumeSort($volumeSort);

    /**
     * Get intent_sort
     *
     * @return string|null
     */
    public function getIntentSort();

    /**
     * Set intent_sort
     *
     * @param string $intentSort
     * @return \WriteTextAI\WriteTextAI\ProductKeywordCompetitorFilters\Api\Data\ProductKeywordCompetitorFiltersInterface
     */
    public function setIntentSort($intentSort);

    /**
     * Get rank_sort
     *
     * @return string|null
     */
    public function getRankSort();

    /**
     * Set rank_sort
     *
     * @param string $rankSort
     * @return \WriteTextAI\WriteTextAI\ProductKeywordCompetitorFilters\Api\Data\ProductKeywordCompetitorFiltersInterface
     */
    public function setRankSort($rankSort);
}
