/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko', 'domReady!'], function (ko) {
    'use strict';

    var status = ko.observable({}),
        allSectionsLoading = ko.observable(false),
        selectedAndCompetitorLoading = ko.observable(false),
        ideasLoading = ko.observable(false),
        allSectionsProgressVisible = ko.observable(false),
        selectedAndCompetitorProgressVisible = ko.observable(false),
        ideasProgressVisible = ko.observable(false),
        progressFromOtherUserOngoing = ko.observable(false);

    return {
        status: status,
        allSectionsLoading: allSectionsLoading,
        selectedAndCompetitorLoading: selectedAndCompetitorLoading,
        ideasLoading: ideasLoading,
        allSectionsProgressVisible: allSectionsProgressVisible,
        selectedAndCompetitorProgressVisible: selectedAndCompetitorProgressVisible,
        ideasProgressVisible: ideasProgressVisible,
        progressFromOtherUserOngoing: progressFromOtherUserOngoing
    };
});
