/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define([
    'jquery',
], function ($) {
    'use strict';
    
    /**
     * Format string
     *
     * @param {String} format
     * @returns {String}
     */
    function sprintf(format)
    {
        var args = Array.prototype.slice.call(arguments, 1);

        return format.replace(/%s/g, function () {
            return args.shift();
        });
    }

    return {
        sprintf: sprintf
    };
});
